Subject: Unable to open files including Korean names
From: Jaeho Shin <[email-masked]>
To: [email-masked]
Date: Sun, 13 Jun 2004 03:30:00 +0900

I've updated to cygwin dll 1.5.10 a few days ago.
(I'm using Cygwin with Windows XP SP1, Korean version.)
And today I found a problem with the accessing files.

I was trying to use rsync to sync some of my files to another place,
but rsync was telling me those files had vanished, like:

file has vanished: "/home/netj/image/SPARCS/2004/동아리방/DSC00137.JPG"

I thought it was a permission problem at the first time,
but I couldn't even chmod or open the file from cygwin environment. :( 

I did some test and found out that ``every file whose path includes
Korean characters weren't openable.''  Still, I could move arround those
paths from my shell, and get the file/directory listings with "ls"
normally. I could still create directories with Korean names.

$ cd ~/tmp
$ date >ascii
$ cat ascii
Sun Jun 13 03:23:04     2004
$ date >한글
-bash: 한글: No such file or directory

$ mkdir ascii
$ date >ascii/date
$ cat ascii/date 
Sun Jun 13 03:24:07     2004
$ mkdir 한글.d
$ date >한글.d/date
-bash: 한글.d/date: No such file or directory

I tried playing with "codepage:*" in CYGWIN, and LANG variables, but
nothing helped.

As I remember, there wasn't any problem like this before my update few
days ago.  Not sure, but since I remember the last time I had an update
was near Apr 20, I should have been using cygwin dll 1.5.9 then.

Attached my result of cygcheck -s -v -r.

-- 
신재호 | Jaeho Shin <[email-masked]> | http://netj.org/
System Programmers' Association for Researching Computer Systems
Division of Computer Science, Department of EECS, KAIST